<template>
  <div id="app">
    <nav class="navbar navbar-expand navbar-dark bg-dark">
            <a href class="navbar-brand" @click.prevent>beezzKoder</a>
<!--      <a href class="navbar-brand">beezzKoder</a>-->
      <div class="navbar-nav mr-auto">
        <li class="nav-item">
<!--          <router-link to="/home" class="nav-link">-->
<!--            <font-awesome-icon icon="home"/>-->
<!--            Home-->
<!--          </router-link>-->
        </li>
        <li v-if="showAdminBoard" class="nav-item">
          <router-link to="/admin" class="nav-link">Admin</router-link>
        </li>
        <li class="nav-item">
          <router-link v-if="currentUser" to="/boardbeegardens" class="nav-link">Twoje pasieki</router-link>
        </li>
        <li class="nav-item">
          <router-link v-if="currentUser" to="/boardbeehives" class="nav-link">Twoje ule</router-link>
        </li>
      </div>

      <div v-if="!currentUser" class="navbar-nav ml-auto">
        <li class="nav-item">
          <router-link to="/register" class="nav-link">
            <font-awesome-icon icon="user-plus"/>
            Zarejestruj
          </router-link>
        </li>
        <li class="nav-item">
          <router-link to="/login" class="nav-link">
            <font-awesome-icon icon="sign-in-alt"/>
            Zaloguj
          </router-link>
        </li>
      </div>

      <div v-if="currentUser" class="navbar-nav ml-auto">
        <li class="nav-item">
          <router-link to="/profile" class="nav-link">
            <font-awesome-icon icon="user"/>
            {{ currentUser.username }}
          </router-link>
        </li>
        <li class="nav-item">
          <a class="nav-link" href @click.prevent="logOut">
            <font-awesome-icon icon="sign-out-alt"/>
            Wyloguj
          </a>
        </li>
      </div>
    </nav>

    <div class="container">
      <router-view/>
    </div>
  </div>
</template>

<script>
export default {
  computed: {
    currentUser() {
      return this.$store.state.auth.user;
    },
    showAdminBoard() {

      if (this.currentUser && this.currentUser.roles)
        return this.currentUser.roles.includes('ROLE_admin');

      return false;
    },
  },
  methods: {

    goToHomePage() {
      this.$router.push('/home');
    },
    logOut() {
      this.$store.dispatch('auth/logout');
      this.$router.push('/login');
    }
  }
};
</script>
